%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.10
%global pypi_name opentelemetry_exporter_otlp_proto_http
%global pypi_version 1.23.0

Name:           opentelemetry_exporter_otlp_proto_http
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        OpenTelemetry Collector Protobuf over gRPC Exporter

License:        Apache 2.0
URL:            https://github.com/open-telemetry/opentelemetry-python/tree/main/exporter/opentelemetry-exporter-otlp-proto-http
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-Add-setup.py.patch
Patch1:         0002-Fix-license.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-deprecated >= 1.2.6
Requires:       python%{python3_pkgversion}-googleapis-common-protos
Requires:       python%{python3_pkgversion}-opentelemetry_api
Requires:       python%{python3_pkgversion}-opentelemetry_proto
Requires:       python%{python3_pkgversion}-opentelemetry_sdk
Requires:       python%{python3_pkgversion}-opentelemetry_exporter_otlp_proto_common
Requires:       python%{python3_pkgversion}-requests
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{pypi_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/opentelemetry
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 1.23.0-1.0.1
- Update to 1.23.0

* Wed Aug 28 2024 Rafael Barron <rafael.barron@oracle.com> - 1.22.0-1.0.2
- Add missing dependencies

* Fri Jul 26 2024 Craig Guiller <craig.guiller@oracle.com> - 1.22.0-1.0.1
- Rebuild for python 3.11
- Add setup.py
- Fix license

* Mon Jul 22 2024 Craig Guiller <craig.guiller@oracle.com> - 1.22.0-1
- Initial package.
